Bug 1297208 - [abrt] wxGlade: codecs.py:884:open:IOError: [Errno 2] No existe el fichero o el directorio: '/home/fdelapena/.wxglade/wxglade.log'
[abrt] wxGlade: codecs.py:884:open:IOError: [Errno 2] No existe el fichero o ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGlade (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de51c84f8c55172a8d40351b359...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 10:26 EST by Francisco de la Peña
Modified: 2016-05-20 19:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: wxGlade-0.7.2-1.fc24 wxGlade-0.7.2-1.fc23 wxGlade-0.7.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 13:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2016-01-10 10:26 EST, Francisco de la Peña
no flags Details
File: environ (3.13 KB, text/plain)
2016-01-10 10:26 EST, Francisco de la Peña
no flags Details

  None (edit)
Description Francisco de la Peña 2016-01-10 10:26:45 EST
Description of problem:
wxglade seems to fail to run if ~/.wglade/wxglade.log does not exist

Version-Release number of selected component:
wxGlade-0.7.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python2 /usr/bin/../lib/python2.7/site-packages/wxglade/wxglade.py
dso_list:       python-libs-2.7.10-8.fc23.x86_64
executable:     /usr/lib/python2.7/site-packages/wxglade/wxglade.py
kernel:         4.2.8-libre.300.fc23.gnu.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
codecs.py:884:open:IOError: [Errno 2] No existe el fichero o el directorio: '/home/fdelapena/.wxglade/wxglade.log'

Traceback (most recent call last):
  File "/usr/bin/../lib/python2.7/site-packages/wxglade/wxglade.py", line 348, in <module>
    run_main()
  File "/usr/bin/../lib/python2.7/site-packages/wxglade/wxglade.py", line 323, in run_main
    init_stage1()
  File "/usr/bin/../lib/python2.7/site-packages/wxglade/wxglade.py", line 188, in init_stage1
    level='INFO',
  File "/usr/lib/python2.7/site-packages/wxglade/log.py", line 381, in init
    backupCount=1,
  File "/usr/lib64/python2.7/logging/handlers.py", line 117, in __init__
    BaseRotatingHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib64/python2.7/logging/handlers.py", line 64, in __init__
    logging.FileHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib64/python2.7/logging/__init__.py", line 911, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib64/python2.7/logging/__init__.py", line 943, in _open
    stream = codecs.open(self.baseFilename, self.mode, self.encoding)
  File "/usr/lib64/python2.7/codecs.py", line 884, in open
    file = __builtin__.open(filename, mode, buffering)
IOError: [Errno 2] No existe el fichero o el directorio: '/home/fdelapena/.wxglade/wxglade.log'

Local variables in innermost frame:
filename: '/home/fdelapena/.wxglade/wxglade.log'
mode: 'ab'
buffering: 1
errors: 'strict'
encoding: 'utf-8'
Comment 1 Francisco de la Peña 2016-01-10 10:26:49 EST
Created attachment 1113331 [details]
File: backtrace
Comment 2 Francisco de la Peña 2016-01-10 10:26:50 EST
Created attachment 1113332 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-02-26 12:45:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2016-04-12 09:20:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2016-04-13 15:37:54 EDT
wxGlade-0.7.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8572f642ca
Comment 6 Fedora Update System 2016-04-13 16:54:27 EDT
wxGlade-0.7.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1943cb6f9d
Comment 7 Fedora Update System 2016-04-13 16:56:47 EDT
wxGlade-0.7.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-61039359c1
Comment 8 Fedora Update System 2016-04-15 04:38:12 EDT
wxGlade-0.7.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8572f642ca
Comment 9 Fedora Update System 2016-04-16 15:26:50 EDT
wxGlade-0.7.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1943cb6f9d
Comment 10 Fedora Update System 2016-04-16 15:28:08 EDT
wxGlade-0.7.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-61039359c1
Comment 11 Fedora Update System 2016-04-18 13:26:03 EDT
wxGlade-0.7.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-04-28 17:53:15 EDT
wxGlade-0.7.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-05-20 19:52:34 EDT
wxGlade-0.7.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.